QoreStringOrNothingDataType.qc.dox.h
// -*- mode: c++; indent-tabs-mode: nil -*-
// assume local scope for variables, do not use "$" signs
// require type definitions everywhere
// enable all warnings
namespace DataProvider {
class QoreStringOrNothingDataType : public QoreStringDataTypeBase {
public:
constructor(*hash<auto> options) ;
};
};
DataProvider::QoreStringDataTypeBase
describes a data type based on a string tyoe with a target encoding option
Definition: QoreStringDataTypeBase.qc.dox.h:36
DataProvider::AbstractDataProviderType::options
hash< auto > options
type options
Definition: AbstractDataProviderType.qc.dox.h:103
DataProvider
Qore AbstractDataField class definition.
Definition: AbstractDataField.qc.dox.h:32
DataProvider::QoreStringOrNothingDataType
describes a data type based on *string with a target encoding
Definition: QoreStringOrNothingDataType.qc.dox.h:34
DataProvider::AbstractDataProviderType::constructor
constructor()
creates the type